Bug 466694 - F10snap1 live CD appears to hang while checking medium
F10snap1 live CD appears to hang while checking medium
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-10-12 18:53 EDT by Hans Ulrich Niedermann
Modified: 2013-01-09 23:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 11:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-10-12 18:53:40 EDT
Description of problem:

  When selecting "Verify and boot" in the grub menu, a
  white/bright-blue/dark-blue grows in text mode's last
  line. Then finally the "Fedora 9.92" text on the right
  turns white... and the system appears to hang while the
  CD drive remains running.

  OK, the system is actually doing the media verification,
  but it needs to give at least *some* indication to that
  effect.

Version-Release number of selected component (if applicable):

  F10-Snap1 (whatever anaconda version that corresponds to)

How reproducible:

  100%

Steps to Reproduce:
1. Boot F10-Snap1 Live CD
2. Select "Verify and boot" in grub menu
3. Wait until last text mode line has turned to white bar ending
   in "Fedora 9.92"
4. Watch apparently hung system for 5 or 10 minutes
5. Be surprised that it was just doing the media verification
   without telling you anything about that
  
Actual results:

  System appears hung.

Expected results:

  System reports it does media verification.

Additional info:
Comment 1 Hans Ulrich Niedermann 2008-10-12 19:01:33 EDT
Easy reproduction of the issue:
  $ qemu -m 512 -cdrom path/to/F10-Snap1-i686-Live.iso

Ping me if you need the ISO image without waiting a week for the torrent to finish.
Comment 2 Chris Lumens 2008-10-13 10:38:24 EDT
Sounds like media check is being automatically run from an init script on the live cd and isn't playing well with plymouth.  Reassigning to someone who hopefully has a better idea what's going on here than me.
Comment 3 Jeremy Katz 2008-10-14 12:45:55 EDT
Will fix hopefully in the next day or two
Comment 4 Jeremy Katz 2008-10-15 11:59:50 EDT
Fixed in git, will be in the next version of mkinitrd

Note You need to log in before you can comment on or make changes to this bug.